Subject: Re: libpam-ck-connector: pam_ck_connector logs cannot determine display-device when non-interactive

From: Mark Hindley <[email-masked]>
Date: Thu, 2 Apr 2020 11:52:30 +0100

Control: tags -1 -moreinfo

Arne,

On Wed, Apr 01, 2020 at 04:52:49PM +0100, Mark Hindley wrote:
> On Thu, 29 Aug 2019 15:09:20 +0200 Arne Wichmann <[email-masked]> wrote:
> > Package: libpam-ck-connector
> > Version: 1.2.1-4
> > Severity: normal
> > 
> > Good day to you.
> > 
> > When doing as root:
> >   echo 'su $USER ls'|at now
> > auth.log logs
> >   [...] su: pam_ck_connector(su:session): cannot determine display-device
> > 
> > I presume that is because there rightfully is none.
> 
> I have just tried this in a beowulf VM and cannot reproduce it.

I have managed to reproduce this.

I can't immediately see there is a bug in what consolekit is doing. As you say,
there is no display device.

If you want to avoid the messages appearing in your logs, then I suggest the
following rsyslog configuration (or something similar to your taste).

% cat /etc/rsyslog.d/10-local.conf
:msg, contains, "cannot determine display-device" ~

That filters the messages for me.

Is that a solution for you?

Thanks

Mark